# eric7.WebBrowser.SafeBrowsing.SafeBrowsingDialog

Module implementing a dialog to configure safe browsing support.

### Global Attributes

None

### Classes

SafeBrowsingDialog | Class implementing a dialog to configure safe browsing support.

### Functions

None

## SafeBrowsingDialog

Class implementing a dialog to configure safe browsing support.

### Derived from

QDialog, Ui_SafeBrowsingDialog

### Class Attributes

None

### Class Methods

None

### Methods

SafeBrowsingDialog | Constructor
__isModified | Private method to check, if the dialog contains modified data.
__okToClose | Private method to check, if it is safe to close the dialog.
__resetProgress | Private method to reset the progress info.
__save | Private slot to save the configuration.
__setProgress | Private slot to set the progress value.
__setProgressMessage | Private slot to set the progress message and the maximum value.
__updateCacheButtons | Private method to set enabled state of the cache buttons.
closeEvent | Protected method to handle close events.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_clearCacheButton_clicked | Private slot to clear the local cache database.
on_gsbHelpButton_clicked | Private slot to show some help text "How to create a safe browsing API key.".
on_saveButton_clicked | Private slot to save the configuration data.
on_showUpdateTimeButton_clicked | Private slot to show the time of the next automatic threat list update.
on_updateCacheButton_clicked | Private slot to update the local cache database.
on_urlCheckButton_clicked | Private slot to check the entered URL.
on_urlEdit_textChanged | Private slot to handle changes of the entered URL text.
show | Public slot to show the dialog.

### Static Methods

None

#### SafeBrowsingDialog (Constructor)

SafeBrowsingDialog(manager, parent=None)

Constructor

manager (SafeBrowsingManager)
  reference to the safe browsing manager
parent (QWidget)
  reference to the parent widget

#### SafeBrowsingDialog.__isModified

__isModified()

Private method to check, if the dialog contains modified data.

Return:
  flag indicating the presence of modified data

Return Type:
  bool

#### SafeBrowsingDialog.__okToClose

__okToClose()

Private method to check, if it is safe to close the dialog.

Return:
  flag indicating safe to close

Return Type:
  bool

#### SafeBrowsingDialog.__resetProgress

__resetProgress()

Private method to reset the progress info.

#### SafeBrowsingDialog.__save

__save()

Private slot to save the configuration.

Return:
  flag indicating success

Return Type:
  bool

#### SafeBrowsingDialog.__setProgress

__setProgress(value)

Private slot to set the progress value.

value (int)
  progress value to be set

#### SafeBrowsingDialog.__setProgressMessage

__setProgressMessage(message, maximum)

Private slot to set the progress message and the maximum value.

message (str)
  progress message to be set
maximum (int)
  maximum value to be set

#### SafeBrowsingDialog.__updateCacheButtons

__updateCacheButtons()

Private method to set enabled state of the cache buttons.

#### SafeBrowsingDialog.closeEvent

closeEvent(evt)

Protected method to handle close events.

evt (QCloseEvent)
  reference to the close event

#### SafeBrowsingDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SafeBrowsingDialog.on_clearCacheButton_clicked

on_clearCacheButton_clicked()

Private slot to clear the local cache database.

#### SafeBrowsingDialog.on_gsbHelpButton_clicked

on_gsbHelpButton_clicked()

Private slot to show some help text "How to create a safe browsing API key.".

#### SafeBrowsingDialog.on_saveButton_clicked

on_saveButton_clicked()

Private slot to save the configuration data.

#### SafeBrowsingDialog.on_showUpdateTimeButton_clicked

on_showUpdateTimeButton_clicked()

Private slot to show the time of the next automatic threat list update.

#### SafeBrowsingDialog.on_updateCacheButton_clicked

on_updateCacheButton_clicked()

Private slot to update the local cache database.

#### SafeBrowsingDialog.on_urlCheckButton_clicked

on_urlCheckButton_clicked()

Private slot to check the entered URL.

#### SafeBrowsingDialog.on_urlEdit_textChanged

on_urlEdit_textChanged(text)

Private slot to handle changes of the entered URL text.

text (str)
  entered URL text

#### SafeBrowsingDialog.show

show()

Public slot to show the dialog.

Up